.PHONY: build push hub build_reg push_reg registry all

modded_mc = magma rlcraft
mc_contexts = $(modded_mc) papermc velocity
game_contexts = $(mc_contexts) tshock

contexts = ansible bind9 oxen tor $(game_contexts)

build:
	$(foreach context,$(contexts),docker build --pull siverten/$(context) -t siverten/$(context);)
push:
	$(foreach context,$(contexts),docker push siverten/$(context);)
hub: build push


reg_contexts = #xmr-stak

build_reg:
	$(foreach context,$(reg_contexts),docker build --pull $(context) -t $(context);docker tag $(context) registry.42069.no/$(context))
push_reg:
	$(foreach context,$(reg_contexts),docker push registry.42069.no/$(context);)


registry: build_reg push_reg
all: hub registry

